package cn.iocoder.yudao.module.llm.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 微调任务状态的枚举值
 *
 * @author 张陶
 */
@Getter
@AllArgsConstructor
public enum FinetuningTaskStatusEnum implements IntArrayValuable {

    /** 失败、失败 */
    FAILED(4),
    /** 等待中、等待中 */
    WAITING(3),
    /** 进行中、训练中 */
    TRAINING(1),
    /** 部署完成、训练完成 */
    FINISHED(2),
    /** 已停止、已取消 */
    CANCELLED(0);

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(FinetuningTaskStatusEnum::getStatus).toArray();

    /**
     * 微调任务类型
     */
    private final Integer status;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
